#
# spec file for package xyaku (Version 1.3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake edict ruby xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs edict file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm ruby sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xyaku
Copyright:    GPL
Group:        Extensions/Korean
Requires:     ruby
Autoreqprov:  on
Summary:      English-Japanese or English-Korean translation program for X11.
Version:      1.3.0
Release:      123
URL:          http://www.ainet.or.jp/~inoue/software/xyaku/
Source0:      http://www.ainet.or.jp/~inoue/software/xyaku/xyaku-%{version}.tar.bz2
Source1:      sample.xyakurc
Patch0:       xyaku-%{version}-korean.patch
Patch1:       xyaku-%{version}-dict.patch
Buildroot:    %{_tmppath}/%{name}-root

%description
xyaku is an English-Japanese translation program and more under X11.
Furthermore, xyaku is yet another Web search engine front-end.
xyaku can also be used for English-Korean translation.
If you want to use it for English-Korean, please install also the
Korean-English dictionary "engdic" (engdic*.rpm).
If you want to use it for English-Japanese, please install also the
Japanese-English dictionary "edict" (edict*.rpm).

Authors:
--------
    INOUE Seiichiro <inoue@ainet.or.jp>

SuSE series: xap

%prep
%setup 
%patch0 -p1
%patch1 -p1
cp $RPM_SOURCE_DIR/sample.xyakurc .

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal
autoconf
automake --add-missing
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            %{_target_cpu}-suse-linux-gnu
make

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
###########################################################################
# MAKE DIR.................................................................
###########################################################################
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_prefix}/libexec/xyaku
mkdir -p %{buildroot}%{_prefix}/X11R6/lib/X11/app-defaults
###########################################################################
# INSTALL XYAKU............................................................
###########################################################################
make install prefix=%{buildroot}%{_prefix}
install -c -m 644 Xyaku.ad \
	%{buildroot}%{_prefix}/X11R6/lib/X11/app-defaults/Xyaku
install -c -m 644 addin/ChangeLog \
	%{buildroot}%{_prefix}/libexec/xyaku/ChangeLog
install -c -m 644 addin/ADDIN.txt \
	%{buildroot}%{_prefix}/libexec/xyaku/ADDIN.txt
ln -s %{_prefix}/libexec/xyaku/ADDIN.txt ./ADDIN.txt
	

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog INSTALL NEWS TODO ADDIN.txt
%doc sample.xyakurc
%{_prefix}/bin/xyaku
%{_prefix}/libexec/xyaku/*
%{_prefix}/X11R6/lib/X11/app-defaults/Xyaku

%changelog -n xyaku
* Fri Sep 07 2001 - ro@suse.de
- add automake -a for new automake
* Wed Jun 20 2001 - ro@suse.de
- libtoolize and aclocal to build
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Fri Jan 12 2001 - mfabian@suse.de
- fixed dict.sh.in to make interface to dict work and improve it
  a little bit (add database option)
- bzip2 sources
- changed default fonts to 16 pixel height to make Japanese
  more readable
- add link /usr/share/doc/packages/xyaku/ADDIN.txt
-> /usr/libexec/xyaku/ADDIN.txt
* Thu Jan 11 2001 - mfabian@suse.de
- added sample.xyakurc to doc-files. It may be easier to find
  for users than /usr/libexec/xyaku/xyakurc and hopefully helps
  them to understand how to use edict and engdic.
- added "Requires: ruby"
- configure options --with-edict=/usr/share/edict/edict
  and --with-engdic=/usr/share/engdic removed. They work only
  when edict and engic are added to "#neededforbuild". This make
  the build take more time but is useless because the default
  paths for edict and engic are already set correctly by the
  patch.
- added "ruby" to "#neededforbuild".
- remove "Require: engdic". "engdic" is a Korean/English
  dictionary. But xyaku can also be used with other dictionaries,
  for example the Japanese/English dictionary "edict". Therefore,
  I don't think it is a good idea to require "engdic".
* Thu Jan 04 2001 - violiet@susekorea.net
- NEW package xyaku, version 1.3.0
- added korean dictonary.
- added usedforbuild: egrep, ruby
